Bug 1568741 - Review Troubleshooting Satellite Discovery
Summary: Review Troubleshooting Satellite Discovery
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Docs Upgrading and Updating Red Hat Satellite
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: Unspecified
Assignee: Stephen Wadeley
QA Contact: Melanie Corr
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-18 08:21 UTC by Stephen Wadeley
Modified: 2019-09-26 14:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-29 15:37:33 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Stephen Wadeley 2018-04-18 08:21:46 UTC
Document URL: 

https://access.redhat.com/documentation/en-us/red_hat_satellite/6.3/html/managing_hosts/chap-red_hat_satellite-managing_hosts-discovering_bare_metal_hosts_on_satellite#sect-Red_Hat_Satellite-Managing_Hosts-Discovering_Bare_metal_Hosts_on_Satellite-Troubleshooting_Satellite_Discovery

Section Number and Name: 

6.6. Troubleshooting Satellite Discovery

Describe the issue: 

In Sat6.3 you must clone provisioning templates and work with your clone. Some parts were moved to snippets that are called from the templates. This means any text describing provisioning templates must be reviewed.

Template procedure "Configuring PXE-booting" was reviewed in Bug 1546110, but  text in "Troubleshooting Satellite Discovery" also needs review. 

Suggestions for improvement: 

Fix this line:
 Verify the proxy.url and proxy.type options in the default PXE Linux template.


those have now moved to the pxelinux_discovery snippet (which is now locked in 6.3). That line could be changed to:

Verify the proxy.url and proxy.type options in the pxelinux_discovery snippet that your PXE Linux template is using. If proxy.type is set to `proxy`, proxy.url must be the Capsule URL or IP address. If proxy.type is set to `foreman`, proxy.url must be the Satellite URL or IP address.

But that is a simplification; I see the snippet has %= foreman_server_url %> rather than the URL itself. We could say "proxy.url must be, or resolve to, the Capsule URL or IP address"

We would need to explain about checking and setting that value too.

Comment 1 Stephen Wadeley 2018-06-26 18:23:06 UTC
Hello lzap

WRT to these bullet points taken from [1]

the 5th bullet:

Verify the proxy.url and proxy.type options in the default PXE Linux template. 

Those options are now in the snippet. This bit:

proxy.url=<%= foreman_server_url %> proxy.type=foreman

 In Sat6.3 is there ever a need to edit those? or does Sat6.3 update those based on what you select as the TFTP Capsule for a subnet?

If there is not valid use case to edit them in Sat6.3 then we do not need to say to check them.

If still valid, "Verify the proxy.url and proxy.type options in the pxelinux_discovery snippet"?

====================================

6th bullet:


Ensure that the DNS is working correctly for that image, or use an IP address in the proxy.url option in the default PXE Linux template. 

Do I just need to change that to say "use an IP address in the proxy.url option in the pxelinux_discovery snippet.", or is that no longer valid and should be removed?


Thank you










[1] https://access.redhat.com/documentation/en-us/red_hat_satellite/6.3/html/managing_hosts/chap-red_hat_satellite-managing_hosts-discovering_bare_metal_hosts_on_satellite#sect-Red_Hat_Satellite-Managing_Hosts-Discovering_Bare_metal_Hosts_on_Satellite-Troubleshooting_Satellite_Discovery

Comment 2 Lukas Zapletal 2018-06-27 11:32:14 UTC
Hey

> Try redeploying the default PXE Linux template.

Using Build PXE Defaults button we could add.

> Verify the pxelinux.cfg/default configuration file on the TFTP Capsule Server.
> Ensure adequate network connectivity between hosts, the Capsule Server, and the Satellite Server.
> Verify the proxy.url and proxy.type options in the default PXE Linux template.

This is still valid, but its now in the snippets called pxe*_discovery.

> Ensure that the DNS is working correctly for that image, or use an IP address in the proxy.url option in the default PXE Linux template.

I'd probably say "for discovered nodes" but this is valid yes.

> Ensure that the DHCP server is delivering IP addresses to the booted image correctly.
> Ensure the discovered host (or virtual machine) has at least 500 MB of memory. Less memory can lead to various random kernel panic errors as the image needs to be extracted in-memory.

On this must be 1200 MB of memory, we grew a bit.

Comment 3 Stephen Wadeley 2018-06-29 11:29:18 UTC
Thank you very much lzap


Note You need to log in before you can comment on or make changes to this bug.